PROGRAMS = unsigned_addition.guac unsigned_division.guac unsigned_multiplication.guac unsigned_substraction.guac
TOPDIR = ../../..
include $(TOPDIR)/Makefile.rules

build: $(PROGRAMS)

dumps: unsigned_addition.dump unsigned_division.dump unsigned_multiplication.dump unsigned_substraction.dump

clean:
	$(RM) *.o *.guac

$(PROGRAMS): %.guac : $(USERLIB)/sys.o $(USERLIB)/libnachos.o %.o